#
# spec file for package discover
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang
Name:           discover
Version:        5.8.7
Release:        2.1
Summary:        KDE Software Installer
License:        GPL-2.0
Group:          System/GUI/KDE
Url:            https://quickgit.kde.org/?p=discover.git
Source:         http://download.kde.org/stable/plasma/%{version}/discover-%{version}.tar.xz
BuildRequires:  PackageKit-Qt5-devel
BuildRequires:  cmake >= 2.8.12
BuildRequires:  extra-cmake-modules
BuildRequires:  kf5-filesystem
BuildRequires:  kirigami-devel >= 1.1.0
BuildRequires:  libAppStreamQt-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5Archive)
BuildRequires:  cmake(KF5Attica)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Crash)
BuildRequires:  cmake(KF5DBusAddons)
BuildRequires:  cmake(KF5Declarative)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5KIO)
BuildRequires:  cmake(KF5NewStuff)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(KF5Plasma)
BuildRequires:  cmake(KF5TextWidgets)
BuildRequires:  cmake(Qca-qt5)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5DBus)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Test)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5Xml)
Requires:       AppStream
Requires:       PackageKit
Requires:       kirigami >= 1.1.0
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120300
Requires:       appstream-provider
%else
Requires:       libzypp-plugin-appdata
%endif
%if %{with lang}
Recommends:     %{name}-lang
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Disover is the KDE software installer, implemented as an app store like application.

%package plasmoid
Summary:        Update notification plasmoid for KDE Software Manager
Group:          System/GUI/KDE
Conflicts:      plasma5-pk-updates
Requires:       %{name} = %{version}

%description plasmoid
This is the systray plasmoid to notify the user that updates are available

%lang_package

%prep
%setup -q

%build
  %cmake_kf5 -d build
  %make_jobs

%install
  %kf5_makeinstall -C build
  %suse_update_desktop_file -r org.kde.discover Qt KDE System PackageManager

%if %{with lang}
  %find_lang libdiscover %{name}.lang
#  %find_lang plasma-discover-exporter %{name}.lang
  %find_lang plasma-discover-notifier %{name}.lang
  %find_lang plasma-discover %{name}.lang

  %find_lang plasma_applet_org.kde.discovernotifier plasma.lang
%else
  touch plasma.lang
%endif

%files
%defattr(-,root,root)
%doc COPYING COPYING.GFDL COPYING.LIB
%{_kf5_bindir}/plasma-discover
%{_kf5_libdir}/plasma-discover/
%{_kf5_plugindir}/discover-notifier/
%{_kf5_plugindir}/discover/
%{_kf5_qmldir}/
%{_kf5_applicationsdir}/org.kde.discover.desktop
%{_kf5_iconsdir}/hicolor/*/apps/plasmadiscover.*
%{_kf5_notifydir}/discoverabstractnotifier.notifyrc
%{_kf5_kxmlguidir}/plasmadiscover/
%{_kf5_sharedir}/libdiscover/
%{_kf5_sharedir}/plasmadiscover/
%{_kf5_appstreamdir}/
%{_kf5_configdir}/discover_ktexteditor_codesnippets_core.knsrc
%{_kf5_sharedir}/discover/
%{_kf5_libdir}/libexec/kf5/discover/

%if %{with lang}
%files lang -f %{name}.lang
%defattr(-,root,root)
%endif

%files plasmoid -f plasma.lang
%defattr(-,root,root)
%doc COPYING COPYING.GFDL COPYING.LIB
%dir %{_kf5_sharedir}/plasma
%dir %{_kf5_sharedir}/plasma/plasmoids
%{_kf5_sharedir}/plasma/plasmoids/org.kde.discovernotifier/
%{_kf5_servicesdir}/plasma-applet-org.kde.discovernotifier.desktop

%changelog
* Mon Jun 26 2017 fabian@ritter-vogt.de
- Switch to more generic appstream-provider and PackageKit requires
* Sun Jun 25 2017 fabian@ritter-vogt.de
- Add PackageKit runtime requirement (boo#1045483)
* Tue May 23 2017 fabian@ritter-vogt.de
- Update to 5.8.7
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.8.7.php
- Changes since 5.8.6:
  * None
* Thu Apr  6 2017 fabian@ritter-vogt.de
- Use newer AppStreamQt (>= 0.10.4) as also required by
  frameworkintegration 5.32
* Tue Feb 21 2017 fabian@ritter-vogt.de
- Update to 5.8.6
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/plasma-5.8.6.php
- Changes since 5.8.5:
  * Also expose YaST repository configuration if present
  * Fix arguments when running .desktop files with runservice
- Remove patches, now upstream:
  * 0001-Fix-arguments-when-running-.desktop-files-with-runse.patch
  * 0002-Also-expose-YaST-repository-configuration-if-present.patch
* Tue Dec 27 2016 fabian@ritter-vogt.de
- Update to 5.8.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.5.php
- Add patches for openSUSE integration:
  * 0001-Fix-arguments-when-running-.desktop-files-with-runse.patch
  * 0002-Also-expose-YaST-repository-configuration-if-present.patch
- Changes since 5.8.4:
  * Make sure we report changes in the size once advertised
  * AppStream: Take stock icons into account
  * Enable full screenshot smoothness
  * Add missing tests
  * Don't close if the input is wrong
  * Display an error if input URL was malformed
  * Expose software-properties-kde if present
* Wed Nov 23 2016 fabian@ritter-vogt.de
- Update to 5.8.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.4.php
- Remove upstream patches:
  * 0001-Make-screenshots-visible-when-only-one.patch
- Changes since 5.8.3:
  * Make sure the application delegate doesn't overflow when the view is narrow
  * Remove unused files
  * Elide category names when they're too big
  * Make it possible to compile with the old and new App*treamConfig.cmake
  * Move ifdefs to Discover instead of modifying Appstream
  * Make it possible for 5.8 to compile against the last AppStreamQt
  * Make screenshots visible when there's only one screenshot too
* Wed Nov  2 2016 alarrosa@suse.com
- Added 0001-Make-screenshots-visible-when-only-one.patch which fixes
  an issue by which discover didn't show application screenshots when
  there was only one screenshot (kde#371724)
* Tue Nov  1 2016 fabian@ritter-vogt.de
- Update to 5.8.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.3.php
* Tue Oct 18 2016 fabian@ritter-vogt.de
- Update to 5.8.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.2.php
* Tue Oct 11 2016 fabian@ritter-vogt.de
- Update to 5.8.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.1.php
* Wed Oct  5 2016 fabian@ritter-vogt.de
- Add Source: URL back
* Thu Sep 29 2016 fabian@ritter-vogt.de
- Update to 5.8.0
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.8.0.php
- Removed patches (now upstream):
    0001-Fix-build-with-older-Qt.patch
    0003-Drop-usage-of-templates-from-LinkButton.patch
    0004-Remove-unused-component.patch
    0002-Don-t-artificially-require-QtQuick-5.7.patch
* Mon Sep 26 2016 fabian@ritter-vogt.de
- Bump kirigami(-devel) requirement to 1.1.0 (kde#369323)
- Drop libqt5-qtquickcontrols2 requirement (fixed upstream)
* Thu Sep 15 2016 fabian@ritter-vogt.de
- Update to 5.7.95 (Plasma 5.8 Beta)
  * New LTS feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.95.php
- Added patches:
    0001-Fix-build-with-older-Qt.patch
    0002-Don-t-artificially-require-QtQuick-5.7.patch
    0003-Drop-usage-of-templates-from-LinkButton.patch
    0004-Remove-unused-component.patch
* Tue Sep 13 2016 fabian@ritter-vogt.de
- Update to 5.7.5
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.5.php
* Fri Aug 26 2016 fabian@ritter-vogt.de
- Update to 5.7.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.4.php
* Tue Aug  2 2016 hrvoje.senjan@gmail.com
- Update to 5.7.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.3.php
* Wed Jul 20 2016 hrvoje.senjan@gmail.com
- Update to 5.7.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.2.php
* Wed Jul 13 2016 hrvoje.senjan@gmail.com
- Update to 5.7.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.1.php
* Thu Jun 30 2016 hrvoje.senjan@gmail.com
- Update to 5.7.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.7.0.php
- Drop upstreamed fix_for_gcc4.diff
* Sun May 15 2016 hrvoje.senjan@gmail.com
- Update to 5.6.4
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.4.php
* Tue Apr 19 2016 hrvoje.senjan@gmail.com
- Update to 5.6.3
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.3.php
* Tue Apr  5 2016 hrvoje.senjan@gmail.com
- Update to 5.6.2
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.2.php
* Tue Mar 29 2016 hrvoje.senjan@gmail.com
- Update to 5.6.1
  * New bugfix release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.1.php
* Sun Mar 20 2016 hrvoje.senjan@gmail.com
- Update to 5.6.0
  * New feature release
  * For more details please see:
    https://www.kde.org/announcements/plasma-5.6.0.php
* Thu Mar 10 2016 tittiatcoke@gmail.com
- Recommend the lang package when the languages are packaged
  (boo#970470)
* Fri Feb  5 2016 tittiatcoke@gmail.com
- KDE Software Manager based on AppStream data (appdata)
  * Initial version 5.5.4
